config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.iscsi-target.new
config etc/iet/initiators.allow.new
config etc/iet/targets.allow.new
config etc/iet/ietd.conf.new

KVERSION=$(uname -r|cut -d "-" -f 1)
[ -d lib/modules/${KVERSION}-smp/kernel/arch/x86 ] && depmod -a ${KVERSION}-smp
[ -d lib/modules/${KVERSION}/kernel/arch/x86 ] && depmod -a ${KVERSION}
[ -d lib/modules/${KVERSION}-l7/kernel/arch/x86 ] && depmod -a ${KVERSION}-l7
[ -d lib/modules/${KVERSION}-lcd/kernel/arch/x86 ] && depmod -a ${KVERSION}-lcd
